Group Configurations Resource
Description
Manage group-level settings.
Notable group-level settings
enable_subnet_inheritance
Part of managing Group Subnets
Accepts "true", "false". Note that toggling this will also impact the list of subnets, the same way using the UI control will.
victim_email_to_address
Configures Victim Notifications
Accepts a single string that is either blank, or contains a list of email addresses separated by a comma or whitespace.
*_limit: Resource Limits
Configures Resource Limits.
Accepts a string that is either "inherited" or contains a number (ex. "10"). Note that the default group (Group 0) is fixed to "unlimited" and is the only group that can be set to this value.
New groups will be set to "inherited" by default.
Starting in rWeb 9.6, the old key of "force_on_limit" was further split into separate categories (AT 1/2/3), and updating the old key will have the effect of setting all three new limits. While it can be updated in this way, GET requests will only show the new values. When upgrading to 9.6+ from a previous version, all 3 new values will be set to the previous "force_on_limit" value.
GET /groups/:ID/configurations
Get the current configuration for this group.
GET Parameters
| Name | Required | Type | Description |
|---|---|---|---|
| :ID | yes | URL Parameter | The unique numeric ID of the group |
Example GET Request
GET /groups/23/configurations
Example GET Response
{
"at_1_force_on_limit": "inherited",
"at_2_force_on_limit": "inherited",
"at_3_force_on_limit": "inherited",
"block_list_v4_limit": "inherited",
"block_list_v6_limit": "inherited",
"dst_allow_list_v4_limit": "inherited",
"dst_allow_list_v6_limit": "inherited",
"enable_subnet_inheritance": "true",
"prefix_v4_limit": "inherited",
"prefix_v6_limit": "inherited",
"smtp_server_id": "0",
"src_allow_list_v4_limit": "inherited",
"src_allow_list_v6_limit": "inherited",
"victim_email_to_address": "",
"zone_limit": "inherited"
}
PUT /groups/:ID/configurations
Update configuration for the group. Can update partial config.
Request should contain a JSON body:
Example PUT Request
PUT /groups/23/configurations
JSON Body:
{
"data": {
"enable_subnet_inheritance": "false",
"victim_email_to_address": "dummy@example.com"
}
}